Skip to main content
POST
/
v2
/
users
POST /v2/users
curl --request POST \
  --url https://api.example.com/v2/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user": {
    "id": "<string>",
    "primaryParty": "<string>",
    "isDeactivated": true,
    "metadata": {
      "resourceVersion": "<string>",
      "annotations": {}
    },
    "identityProviderId": "<string>"
  },
  "rights": [
    {
      "kind": {
        "CanActAs": {
          "value": {
            "party": "<string>"
          }
        }
      }
    }
  ]
}
'
{
  "user": {
    "id": "<string>",
    "primaryParty": "<string>",
    "isDeactivated": true,
    "metadata": {
      "resourceVersion": "<string>",
      "annotations": {}
    },
    "identityProviderId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json

RPC requests and responses /////////////////////////// Required authorization: HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(user.identity_provider_id)

user
User · object
required

The user to create.

Required

rights
Right · object[]

The rights to be assigned to the user upon creation, which SHOULD include appropriate rights for the user.primary_party.

Optional: can be empty

Response

user
User · object
required

Created user.

Required